# Generated by go2rpm
%ifarch x86_64 aarch64
%bcond_without check
%endif

# https://github.com/seccomp/libseccomp-golang
%global goipath         github.com/seccomp/libseccomp-golang
Version:                0.9.0

%gometa

%global common_description %{expand:
The libseccomp library provides an easy to use, platform independent, interface
to the Linux Kernel's syscall filtering mechanism.  The libseccomp API is
designed to abstract away the underlying BPF based syscall filter language and
present a more conventional function-call based filtering interface that should
be familiar to, and easily adopted by, application developers.

The libseccomp-golang library provides a Go based interface to the libseccomp
library.}

Name:           golang-github-seccomp-libseccomp-golang
Release:        2%{?dist}
Summary:        Libseccomp golang bindings

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
# https://bugs.launchpad.net/snapd/+bug/1825052
# https://github.com/seccomp/libseccomp-golang/commit/06e7a29f36a34b8cf419aeb87b979ee508e58f9e
Patch0:         https://github.com/seccomp/libseccomp-golang/commit/06e7a29f36a34b8cf419aeb87b979ee508e58f9e.patch#/0001-Resolve-bug-with-handling-of-multiple-argument-rules.patch
%if %{with check}
BuildRequires:  pkgconfig(libseccomp)
%endif

%description
%{common_description}

%package devel
Summary:       %{summary}
BuildArch:     noarch
Requires:      pkgconfig(libseccomp)

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.

%prep
%forgeautosetup -p1

%install
%goinstall

%if %{with check}
%check
%gochecks
%endif

%files devel -f devel.file-list
%license LICENSE
%doc CHANGELOG README

%changelog
* Tue Apr 23 10:07:58 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.9.0-2
- Add patch to fix seccomp argument filtering not working properly (#1702169)

* Sat Apr 06 16:21:50 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.9.0-1
- Release 0.9.0 (#1695293)
- Update to new Go packaging

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12.git60c9953
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.11.git60c9953
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10.git60c9953
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.git60c9953
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8.git60c9953
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.7.git60c9953
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.git60c9953
- https://fedoraproject.org/wiki/Changes/golang1.7

* Thu Jun 02 2016 jchaloup <jchaloup@redhat.com> - 0-0.5.git60c9953
- Enable devel and unit-test subpackage for epel7
  related: #1340137

* Thu May 26 2016 jchaloup <jchaloup@redhat.com> - 0-0.4.git60c9953
- Bump to upstream 60c9953736798c4a04e90d0f3da2f933d44fd4c4
  resolves: #1340137

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.git1b506fc
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.git1b506fc
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 26 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git1b506fc
- First package for Fedora
  resolves: #1285767
